<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.example.demo.dao.ScUserMapper">

    <parameterMap id="paramMap" type="com.example.demo.model.ScUser"></parameterMap>

    <resultMap id="resultMap" type="com.example.demo.model.ScUser">
        <id property="id" column="id"/>
        <result property="userName" column="user_name"/>
        <result property="userPassword" column="user_password"/>
    </resultMap>

    <select id="find" resultMap="resultMap">
        select * from sc_user
    </select>
</mapper>